Api key provided on integrations tab in Easyflow platform.
Filter participants
Retrieves a paginated list of participants based on filters. This is an authenticated route. It supports filtering by batches, zones, event days, ticket status, and a search field that matches participant name, email, document, or ticket code.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Query parameters
pageintegerPage number. Defaults to 1.
limitintegerNumber of items per page. Defaults to 25.
Request bodyrequired
Content typeapplication/jsonobject
eventExternalReferenceIdstring · uuidrequiredthis ID that will be provided here is the product ID
batchIdsarray of strings · uuidzoneIdsarray of strings · uuideventDayIdsarray of strings · uuidparticipantIdsarray of strings · uuidstatusarray of stringsfieldstringSearch field to filter participants by name, email, document, or ticket code.
Responses
200Participants successfully retrieved.
Participants successfully retrieved.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstring · uuidnamestringemailstringinternationalIdstringdocumentobjectShow child attributesHide child attributes
typestringnumberstring
phoneobjectShow child attributesHide child attributes
areaCodestringdddstringnumberstringisMobileboolean
ticketStatusstringcodestringhasCheckInboolean
limitintegercurrentPageintegernextPageintegernullabletotalPagesintegertotalDocsintegerhasNextboolean
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.